
Redmine - Defect #30236

Accidentally clicking next to the checkbox breaks issue selection

2018-12-17 14:51 - Aleksandar Pavic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 4.0.2   

Resolution: Fixed Affected version: 3.4.6

Description

Expected behavior would be that issues don't get unchecked when clicking outside checkbox, and that clicked issue gets added to

selection

 selection.gif 

Related issues:

Has duplicate Redmine - Feature #5506: Make it easier to select multiple issu... Closed 2010-05-11

Associated revisions

Revision 17830 - 2019-01-20 08:34 - Jean-Philippe Lang

Accidentally clicking next to the checkbox breaks issue selection (#30236).

Revision 17892 - 2019-02-21 17:18 - Jean-Philippe Lang

Merged r17830 to 4.0-stable (#30236).

History

#1 - 2018-12-17 15:51 - Aleksandar Pavic

Sorry its primary click. Some people swap buttons...

#2 - 2018-12-30 06:46 - Go MAEDA

I think the current behavior is natural. You can select multiple issues if you click issues while pressing Control/Command key.

#3 - 2019-01-03 09:21 - Aleksandar Pavic

- File vokoscreen-2019-01-03_09-16-00.gif added

Fore example, gmail is not behaving the way Redmine is. Gmail captures click anywhere on checkboxes parent TD element, here is screen capture...

 vokoscreen-2019-01-03_09-16-00.gif 

Perhaps it should be left to per-theme setting...

#4 - 2019-01-08 07:29 - Mizuki ISHIKAWA

- File feature-30236.patch added

- File checkbox.gif added

- File label.png added

I wrote a patch to make the range up to the parent TD element of the checkbox a clickable range.

It is difficult to click without mistaking a small checkbox.

This small change should impxrove usability.

 checkbox.gif 

clikable range:

 label.png 

#5 - 2019-01-08 12:50 - Aleksandar Pavic

Thanks Mizuki, oh I love jQuery!!! target.closest smart solution, hopefully Redmine team will include your patch in some new release :)
#6 - 2019-01-08 12:52 - Go MAEDA

- Target version set to Candidate for next minor release

#7 - 2019-01-13 04:34 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

LGTM. Setting the target version to 4.1.0.

#8 - 2019-01-20 08:35 - Jean-Philippe Lang

- Subject changed from Right clicking on issue list breaks selection (unchecks all selected issues) to Accidentally clicking next to the checkbox breaks

issue selection

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.2

- Resolution set to Fixed

I've committed a fix similar to the one proposed by Mizuki but that does not require to add labels on every checkboxes.

#9 - 2019-02-21 17:18 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#10 - 2020-03-03 14:33 - Go MAEDA

- Has duplicate Feature #5506: Make it easier to select multiple issues via checkboxes added

Files

selection.gif 152 KB 2018-12-17 Aleksandar Pavic
label.png 76.5 KB 2019-01-08 Mizuki ISHIKAWA

checkbox.gif 555 KB 2019-01-08 Mizuki ISHIKAWA
